package com.yeqifu.bus.controller;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * 业务管理的路由器
 * @Author: 落亦-
 * @Date: 2019/12/5 9:33
 * 该类是一个 Spring 的控制器类，用于处理与业务相关的页面跳转请求
 */
@Controller
@RequestMapping("bus")
public class BusinessController {

    /**
     * 跳转到客户管理页面
     * @return 要跳转的页面的视图名称
     */
    @RequestMapping("toCustomerManager")
    // 返回客户管理页面的视图名称
    public String toCustomerManager(){
        return "business/customer/customerManager";
    }

    /**
     * 跳转到供应商管理页面
     * @return 要跳转的页面的视图名称
     */
    @RequestMapping("toProviderManager")
    // 返回供应商管理页面的视图名称
    public String toProviderManager(){
        return "business/provider/providerManager";
    }

    /**
     * 跳转到商品管理页面
     * @return 要跳转的页面的视图名称
     */
    @RequestMapping("toGoodsManager")
    // 返回商品管理页面的视图名称
    public String toGoodsManager(){
        return "business/goods/goodsManager";
    }

    /**
     * 跳转到进货管理页面
     * @return 要跳转的页面的视图名称
     */
    @RequestMapping("toInportManager")
    // 返回进货管理页面的视图名称
    public String toInportManager(){
        return "business/inport/inportManager";
    }

    /**
     * 跳转到退货管理页面
     * @return 要跳转的页面的视图名称
     */
    @RequestMapping("toOutportManager")
    // 返回退货管理页面的视图名称
    public String toOutportManager(){
        return "business/outport/outportManager";
    }

    /**
     * 跳转到商品销售管理页面
     * @return 要跳转的页面的视图名称
     */
    @RequestMapping("toSalesManager")
    //返回商品销售管理页面的视图名称
    public String toSalesManager(){
        return "business/sales/salesManager";
    }

    /**
     * 跳转到商品销售管理页面
     * @return 要跳转的页面的视图名称
     */
    @RequestMapping("toSalesbackManager")
    返回商品销售退货管理页面的视图名称
    public String toSalesbackManager(){
        return "business/salesback/salesbackManager";
    }

}
